Subject: ied-eed, environment editor
From: [email-masked] (Richard Reiner)
Date: 1 Oct 90 08:07:13 GMT
Newsgroups: comp.binaries.ibm.pc

Here is something I hacked up to provide interactive full-screen
editing of environment variables under Ian Stewartson's ms_sh. Similar
things are available for vanilla MS-DOS (using either undocumented
system calls and data structures, or horrible chained batch files, to
get around the limitations of command.com); this does the job simply
and elegantly under sh.

ied.c is a general-purpose one-line micro-editor, well adapted for a
wide variety of shell scripts;

eed.sh contains a shell function which uses ied to edit an environment
variable.

Enclosed are ied.c, ied.exe, eed.sh, and a man page for the package.

Credit for the editing and windowing code goes to Mike Smedley, author
of the excellent shareware CXL library.